Bug 239546 - Review Request: mdsplib - METAR Decoder Software Package Library
Review Request: mdsplib - METAR Decoder Software Package Library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Package Reviews List
:
Depends On:
Blocks: 230549
  Show dependency treegraph
 
Reported: 2007-05-09 07:13 EDT by Matthias Saou
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.11-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-18 12:43:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lxtnow: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Patch: make a shared lib instead of a static one (1.70 KB, patch)
2007-06-08 05:45 EDT, Hans de Goede
no flags Details | Diff
Modified spec (2.14 KB, text/plain)
2007-06-08 05:45 EDT, Hans de Goede
no flags Details

  None (edit)
Description Matthias Saou 2007-05-09 07:13:05 EDT
Spec URL: http://ftp.es6.freshrpms.net/tmp/extras/mdsplib/mdsplib.spec
SRPM URL: http://ftp.es6.freshrpms.net/tmp/extras/mdsplib/mdsplib-0.11-2.src.rpm
Description:
METAR is a French acronym for Aviation Routine Weather Report. It is the
standard format for reporting meteorological conditions. As a free service,
the National Weather Service continually updates a server with METARs from all
over the world.

The MDSP Library provides a programmer with two functions, the major one
being DcdMETAR, which decodes a METAR into structures provided by the
library. Also prtDMETR, which prints out a decoded METAR structure.

--

Packager note : It would be best to have this package patched to generate a shared library instead of only the default static library. It's not trivial since it doesn't use libtool, but would make sense since this version has been the latest for over 5 years now.
Comment 1 Xavier Lamien 2007-05-21 07:31:11 EDT
starting review...
Comment 2 Xavier Lamien 2007-05-29 00:25:32 EDT
Well,

OK - Mock : Built on FC6 en F-7 (i386 and x86_64)
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License field in spec matches
OK - License is LGPL
OK - License match extras packaging policy licenses allowed
OK - License file is included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources SHOULD match upstream md5sum:
c529c07675431f50c517921db6fdd122  mdsplib-0.11.tar.gz
OK - Package has correct buildroot.
OK - extras BuildRequires not required for this package.
OK - %build and %install stages is correct and work.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Changelog section is correct.

OK - Should function as described.
OK - Should package latest version

------------------------------------------------
Rpmlint output:
------------------------------------------------
OK - silent on both srpm and rpm.



-----------------------------
sub-package:
----------------------------

just a comment:
Why don't create directly the -devel package instead.
Does this package plan to contains more than headers files in future release ?
Comment 3 Xavier Lamien 2007-06-02 10:29:58 EDT
ping!
Comment 4 Matthias Saou 2007-06-05 18:56:32 EDT
> Why don't create directly the -devel package instead.
> Does this package plan to contains more than headers files in future release ?

What do you mean by this? I'm already creating only the the -devel package, and
yes, in the future I'd like to patch the sources in order to get a shared
library, since this library hasn't changed in literally years it shouldn't be a
problem, quite the contrary. See my initial "Packager note" :-)
Comment 5 Xavier Lamien 2007-06-06 19:36:21 EDT
nice catch !


==============
** APPROVED **
==============
Comment 6 Matthias Saou 2007-06-07 09:39:48 EDT
New Package CVS Request
=======================
Package Name: mdsplib
Short Description: METAR Decoder Software Package Library
Owners: matthias@rpmforge.net
Branches: devel F-7 FC-6 FC-5 EL-4 EL-5 (all current)
InitialCC: 
Comment 7 Kevin Fenzi 2007-06-07 16:06:13 EDT
There are some issues with static libs that should be figured before this is
imported into cvs... 

"- MUST: Static libraries must be in a -static package"

Also see: 
http://fedoraproject.org/wiki/PackagingDrafts/StaticLinkage

I think short term you could just move the static libs to a -static package, but
fixing it to use dynamic would be better. 

Comment 8 Kevin Fenzi 2007-06-07 19:09:04 EDT
Sigh. Here is the page I was looking for earlier and couldn't find: 

http://fedoraproject.org/wiki/Packaging/Guidelines#head-82d97fc4a3421310f4e2971180e4165965b65662

So, you could also add a: 

%package devel
  Provides: foo-static = %{version}-%{release}
Comment 9 Matthias Saou 2007-06-08 05:06:51 EDT
Yeah, well, I'd really prefer having it as a shared lib, especially since the
code itself hasn't changed at all in years.

Hans : Could you maybe have a look and see if it would be easy to switch the
build to produce a shared library?
Comment 10 Hans de Goede 2007-06-08 05:45:32 EDT
Created attachment 156558 [details]
Patch: make a shared lib instead of a static one

Making a shared lib is simple with this package (no autohell, phew) this patch
changes the makefile to make a shared lib instead of a static one.

Modified spec will be attached next.
Comment 11 Hans de Goede 2007-06-08 05:45:54 EDT
Created attachment 156559 [details]
Modified spec
Comment 12 Matthias Saou 2007-06-08 07:21:52 EDT
Spec URL: http://ftp.es6.freshrpms.net/tmp/extras/mdsplib/mdsplib.spec
SRPM URL: http://ftp.es6.freshrpms.net/tmp/extras/mdsplib/mdsplib-0.11-3.src.rpm

* Fri Jun  8 2007 Matthias Saou <http://freshrpms.net/> 0.11-3
- Include patch from Hans de Goede to build the lib as shared.

That was fast Hans, thanks a lot!!!
Comment 13 Kevin Fenzi 2007-06-08 15:55:54 EDT
Awesome work Hans! 

Xavier: Could you look this over and if it looks ok, (re) approve it? 

Sorry for the trouble here, but static libs are just to be avoided if possible,
and it looks very possible here. ;) 
Comment 14 Xavier Lamien 2007-06-09 09:16:44 EDT
okay ;-)

>> Sorry for the trouble here, but static libs are just to be avoided if possible,
>> and it looks very possible here. ;) 

I do agree with that.

Comment 15 Xavier Lamien 2007-06-09 14:03:51 EDT
Well,

Taking in account first part of full review above which doesn't change,

OK - Removed Static lib from package
OK - Sahred lib correctly generated/included in package.
OK - Sub-packages are proper
Ok - No sub-package -lib are required
Ok - Scriptlets for shared lib are properly applied.

--------------
rpmlint ouputs
--------------

Silent from both rpm (main pakcage) and srpm.

From -devel package:
W: mdsplib-devel no-documentation

Harmless, this can be ignored.



==============
** APPROVED **
==============
Comment 16 Kevin Fenzi 2007-06-11 12:07:24 EDT
cvs done.
Comment 17 Matthias Saou 2007-06-14 13:19:03 EDT
All branches built fine, and the F-7 package is pending for updates-testing.
Thanks for the review and for the CVS operations!
Comment 18 Fedora Update System 2007-06-14 17:12:36 EDT
mdsplib-0.11-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2007-06-18 12:42:56 EDT
mdsplib-0.11-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.